html {
  color: var(--font-color-base);
  font-size: 62.5%; // 1rem = 10px
  line-height: var(--line-height);
}

body {
  font-size: var(--font-size-base) !important;
  font-family: var(--font-family-base) !important;
  font-weight: var(--font-weight-base) !important;

  overflow-x: hidden;
}

// Configurações da Barra de Scroll
::-webkit-scrollbar {
  width: 0.4rem;
}
::-webkit-scrollbar-track {
  background: var(--gray-1);
}
::-webkit-scrollbar-thumb {
  background: var(--primary-color);
}

main {
  min-height: 50vh;
}

a {
  color: currentColor;
  text-decoration: none;
}

a,
button,
input {
  // para remover as bordas arredondadas do safari mob
  border: 0;
  border-radius: 0;
  padding: 0;
  -webkit-appearance: none;

  &:focus {
    //configurar
  }
}

img {
  display: block;
  max-width: 100%;
}

/* Section and Containers Formatter */
.section {
  margin-bottom: 6rem;
}

.container {
  margin-left: auto;
  margin-right: auto;
  max-width: calc(1368px + 10%);
  padding-left: 5%;
  padding-right: 5%;
  width: 100%;
}

/* Images e Videos Config */
.skeleton {
  @extend %skeleton;
}

.image,
.video {
  overflow: hidden;
  position: relative;

  &::after {
    content: "";
    display: block;
  }

  &.-square::after {
    padding-bottom: 100%;
  }

  &.-horizontal::after {
    padding-bottom: 46%;
  }

  &.-vertical::after {
    padding-bottom: 146%;
  }
}

.image img {
  height: 100%;
  left: 0;
  object-fit: cover;
  position: absolute;
  top: 0;
  width: 100%;
}

.video iframe {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}

/* Vanilla Lazy Load */
.lazy {
  opacity: 0;
  transition: var(--transition);

  &.loaded,
  &[data-lazy-loaded="true"] {
    opacity: 1;

    & + .skeleton {
      opacity: 0;
      visibility: hidden;
    }
  }
}

/* Text Formatter */
.upper-title {
  font-size: var(--font-size-small);
  font-weight: var(--font-weight-base);
  line-height: 1;
  margin-bottom: 0.5rem;
  text-transform: uppercase;
}

.title {
  font-family: var(--font-family-title);
  font-size: var(--font-size-title);
  font-weight: var(--font-weight-title);
  color: var(--font-color-title);
  line-height: 1.2;
  margin-bottom: 1.6rem;
}

.subtitle {
  font-size: var(--font-size-subtitle);
  font-weight: var(--font-weight-subtitle);
  line-height: 1.2;
  margin-bottom: 1rem;
}

.description {
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-base);
  margin-bottom: 1rem;
}

.divider {
  align-self: stretch;
  background-color: var(--primary-color);
  height: 1px;
  margin: 3rem 0;
}

.breadcrumb {
  margin-top: 0.8rem;
  margin-bottom: 2.4rem;
}

.breadcrumb .breadcrumb-list {
  display: flex;
  flex-direction: row;
  white-space: nowrap;
}

.breadcrumb .breadcrumb-list-item {
  color: var(--gray-2);
  font-size: var(--font-size-small);
  font-weight: var(--font-weight-base);
  margin-right: 0.8rem;
  line-height: 2.5;

  &:last-child {
    color: var(--gray-3);
    margin-right: auto;
    text-overflow: ellipsis;
    overflow: hidden;
  }
}

.breadcrumb .breadcrumb-link > span {
  margin-left: 0.8rem;
}

.input,
.text-area {
  @extend %input;
}

.text-area,
textarea {
  resize: vertical;
}

.button-default {
  @extend %button-default;
}

.icon {
  color: currentColor;
  height: 2rem;
  width: 2rem;
}

// .msg-response {
//   .msg-success,
//   .msg-error {
//     display: none;
//     font-size: 1.2rem;
//     margin-top: 1rem;

//     &.-visible {
//       display: block;
//     }
//   }
// }

//Webforms - Antispam
form[data-webform] {
  position: relative;

  > fieldset {
    border: none;
    padding: 0;
    margin: 0;

    > [name="vnda"] {
      position: absolute;
      left: -90000000px;
      top: 0;
      z-index: -9;
    }

    input,
    textarea {
      &.-emphasis::placeholder {
        color: var(--red) !important;
      }
    }
  }

  [data-msg-retorno] {
    width: 100%;

    .msg-received {
      display: none;
      font-size: 1.2rem;
      margin-top: 1rem;
      &.-visible {
        display: block;
      }
    }
  }
}

// Normalização do referalls
#vnda-referrals-invite-widget {
  .Button_btn__xxmf6 {
    height: 4rem;
    min-width: 8.8rem;
  }

  .IconButton_btn__Q45\+c {
    font-size: var(--font-size-base);
    width: 4.8rem;
    height: 4.8rem;
    padding-left: 1.2rem;
    padding-right: 1.2rem;
  }

  .vndaReferralsInviteWidgetRow form {
    .TextField_formGroup__GWkBs {
      margin-top: 1rem;
      padding: 1.5rem 0 0;
    }

    .TextField_formField__hI7LO {
      font-size: 1.2rem;
      padding: 0.8rem 0;
    }
  }
}
